import { BudgetManager, Encoding, SearchAlgorithm, SearchSubject } from "@syntest/search";
import { Model } from "./Model";
export interface SearchProgressModel extends Model {
    iteration: number;
    evaluation: number;
    searchTime: number;
    totalTime: number;
    coveredPaths: number;
    coveredBranches: number;
    coveredExceptions: number;
    coveredFunctions: number;
    coveredLines: number;
    coveredImplicitBranches: number;
    coveredObjectives: number;
    totalPaths: number;
    totalBranches: number;
    totalExceptions: number;
    totalFunctions: number;
    totalLines: number;
    totalImplicitBranches: number;
    totalObjectives: number;
}
export declare function searchProgressModelFormatter<E extends Encoding>(searchAlgorithm: SearchAlgorithm<E>, subject: SearchSubject<E>, budgetManager: BudgetManager<E>): SearchProgressModel;
//# sourceMappingURL=SearchProgressModel.d.ts.map